Bug 11064 - Adaptec SlimSCSI PCMCIA locks system
Summary: Adaptec SlimSCSI PCMCIA locks system
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-27 02:02 UTC by D. Hugh Redelmeier
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-27 02:02:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description D. Hugh Redelmeier 2000-04-27 02:02:55 UTC
On my NEC Versa SX, inserting the APA-1460A PCMCIA SCSI card
causes RH6.2 to lock up hard.  This did not happen on my
RH6.1 system with my own build of 2.2.14 + fresh PCMCIA package
(not the Red Hat version of either) ( hadn't compiled the correct
module, so the PCMCIA package balked without hanging).

Observations:
- the lockup is pretty hard: mouse isn't tracked, pings are not
  responded to, keys are ignored (including CTRL-ALT-DEL).
- I've tried renaming the module
 (/bin/modules/2.2.14-6.0.1/pcmcia/aha152x_cs.o.HIDE)
  to prevent it being loaded, but the crash still happens
- I've tried the original kernel package, and the errata one:
  no difference.
- I've tried a serial console, hoping something would come out
  in the dying gasp -- nothing (but "debug" does not seem to
  direct every message to the console; I wonder why)
- my PCMCIA network card work fine (until the lockup) and the
  observations of the effect of the SCSI card are not changed
  by having the NIC installed or not.
Other Bugzilla reports suggest that the RH6.2 PCMCIA support
is out of date.  To bad one suggests that updating within
the RH6.2 kernel isn't easy.

Comment 1 Alan Cox 2000-08-08 21:08:31 UTC
The RH 6.9.5 tree should resolve this (PCMCIA 3.1.18)



Note You need to log in before you can comment on or make changes to this bug.